/*
 * Image.h
 *
 *  Created on: 5 dec 2011
 *      Author: Reii
 */
#ifndef IMAGE_H_
#define IMAGE_H_

#include "SDL/SDL.h"
#include <string>

class Image{

public:
	Image();
	Image(const Image* other);
	Image(std::string filename, bool transparent);
	const Image& operator=(const Image& other);
	SDL_Surface* getSurface() const;
	~Image();
private:
	SDL_Surface* surface;
};

#endif /* IMAGE_H_ */
